org.eclipse.microprofile.metrics.tck.inheritance

## Class VisibilitySimplyTimedMethodBean

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.inheritance.VisibilitySimplyTimedMethodBean

Direct Known Subclasses:
  InheritedSimplyTimedMethodBean

    public class VisibilitySimplyTimedMethodBean
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`VisibilitySimplyTimedMethodBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `protectedSimplyTimedMethod()`
`void` `publicSimplyTimedMethod()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisibilitySimplyTimedMethodBean

    public VisibilitySimplyTimedMethodBean()

### Method Detail

#### publicSimplyTimedMethod

    @SimplyTimed
    public void publicSimplyTimedMethod()

#### protectedSimplyTimedMethod

    @SimplyTimed
    protected void protectedSimplyTimedMethod()